package com.datacloudsec.response;

import freemarker.template.Configuration;
import freemarker.template.ObjectWrapper;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/* loaded from: com_datacloudsec_response.jar:com/datacloudsec/response/FreemarkResponse.class */
public class FreemarkResponse implements IResponse {
    private static Configuration cfg;
    private String uri;
    private String contentType;
    private String encodeing = "UTF-8";
    private Map<String, Object> data = new HashMap();
    protected boolean success = true;

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public String getEncodeing() {
        return this.encodeing;
    }

    @Override // com.datacloudsec.response.IResponse
    public boolean isSuccess() {
        return this.success;
    }

    public FreemarkResponse(String uri) {
        this.uri = uri;
    }

    public void putObj(String key, Object obj) {
        this.data.put(key, obj);
    }

    @Override // com.datacloudsec.response.IResponse
    public final void shipToResponse(HttpServletRequest request, HttpServletResponse response) {
        HttpSession session = request.getSession();
        ServletContext cxt = session.getServletContext();
        Enumeration<?> enums = cxt.getAttributeNames();
        while (enums.hasMoreElements()) {
            String name = enums.nextElement().toString();
            this.data.put(name, cxt.getAttribute(name));
        }
        Enumeration<?> enums2 = session.getAttributeNames();
        while (enums2.hasMoreElements()) {
            String name2 = enums2.nextElement().toString();
            this.data.put(name2, session.getAttribute(name2));
        }
        Enumeration<?> enums3 = request.getAttributeNames();
        while (enums3.hasMoreElements()) {
            String name3 = enums3.nextElement().toString();
            this.data.put(name3, request.getAttribute(name3));
        }
        try {
            if (cfg == null) {
                cfg = new Configuration();
                cfg.setServletContextForTemplateLoading(cxt, (String) null);
                cfg.setObjectWrapper(ObjectWrapper.BEANS_WRAPPER);
                cfg.setNumberFormat("0.#");
                cfg.setClassicCompatible(true);
            }
            response.setContentType(this.contentType == null ? "text/html;charset=UTF-8" : this.contentType);
            cfg.getTemplate(this.uri, this.encodeing).process(this.data, new OutputStreamWriter((OutputStream) response.getOutputStream(), this.encodeing));
        } catch (Exception e) {
            LOG.error("响应freemark结果出错", e);
        }
    }
}
